<?php

$vendid = $_POST['vendid'];

$action = $_POST['action'];



if($action == 'editar'){

	require_once ("../../config/Cado.php");

	require_once("../trabajador/cTrabajador.php");

	$oTrabajador = new cTrabajador();



	$dts = $oTrabajador->mostrarUno($vendid);

	$dt = mysql_fetch_array($dts);



	$nom = $dt['tb_trabajador_nom'];

	$ape = $dt['tb_trabajador_ape'];

	$dni = $dt['tb_trabajador_dni'];

	$tel = $dt['tb_trabajador_tel'];

	$cor = $dt['tb_trabajador_corr'];

	$sue = $dt['tb_trabajador_sue'];

	$car = $dt['tb_cargo_id'];

	$est = $dt['tb_trabajador_est'];

}

?>



				<form role="form" id="for_trabajador" method="POST"> 

					<input type="hidden" name="hdd_trabajador_id" value="<?php echo $vendid?>">

					<input type="hidden" name="hdd_action" value="<?php echo $action?>">



					<div class="box-header">

						<h3 class="box-title">Información del Trabajador</h3>

					</div>

					<div class="box-body">



						<div class="form-group">							

							<div class="row">

								<div class="col-lg-6 col-xs-6">

									<label for="txt_trabajador_nom">Nombre:</label>

									<input type="text" name="txt_trabajador_nom" id="txt_trabajador_nom"  value="<?php echo $nom?>" class="form-control" > 

								</div>

								

								<div class="col-lg-6 col-xs-6">

									<label for="txt_trabajador_ape">Apellido:</label>

									<input type="text" name="txt_trabajador_ape" id="txt_trabajador_ape"  value="<?php echo $ape?>" class="form-control" > 

								</div>

								

								<div class="col-lg-6 col-xs-6">

									<label for="txt_trabajador_dni">DNI:</label>

									<input type="text" name="txt_trabajador_dni" id="txt_trabajador_dni"  maxlength="8" value="<?php echo $dni?>" class="form-control" > 

								</div>

								

								<div class="col-lg-6 col-xs-6">

									<label for="txt_trabajador_tel">Telefono:</label>

									<input type="text" name="txt_trabajador_tel" id="txt_trabajador_tel"  value="<?php echo $tel?>" class="form-control" > 

								</div>

								

								<div class="col-lg-6 col-xs-6">

									<label for="txt_trabajador_corr">Correo:</label>

									<input type="text" name="txt_trabajador_corr" id="txt_trabajador_corr"  value="<?php echo $cor?>" class="form-control" > 

								</div>

								

								<div class="col-lg-6 col-xs-6">

									<label for="cmb_trabajador_car">Cargo:</label>

									<select name="cmb_trabajador_car" id="cmb_trabajador_car" class="form-control">

										

									</select> 

								</div>

								<div class="col-lg-6 col-xs-6">

									<label for="txt_trabajador_sue">Sueldo:</label>

									<input type="text" name="txt_trabajador_sue" id="txt_trabajador_sue"  value="<?php echo $sue?>" class="form-control" > 

								</div>

								

								

								<div class="col-lg-6 col-xs-6">

									<label for="cmb_trabajador_est">Estado:</label>

									<select name="cmb_trabajador_est" id="cmb_trabajador_est" class="form-control">

										<option value="1" <?php if($est == 1) echo 'selected'?>>ACTIVO</option>

										<option value="2" <?php if($est == 2) echo 'selected'?>>INACTIVO</option>

									</select>

								</div>

							</div>

						</div>

					</div>

				</form>

				<div class="box-footer pull-right">

					<button type="button" data-dismiss="modal" class="btn btn-default">Cancelar</button>

					<button class="btn btn-primary" id="save_form">Guardar</button>

				</div>



<script type="text/javascript">

	

	$('#txt_trabajador_nom, #txt_trabajador_ape, #txt_trabajador_corr').change(function(){

		$(this).val($(this).val().toUpperCase());

	});



	cmb_cargo_id('');

	

	function cmb_cargo_id(carid)

	{	

		$.ajax({

			type: "POST",

			url: "../cargo/cmb_cargo_id.php",

			async:true,

			dataType: "html",                      

			data: ({

				cargo_id: carid

			}),

			beforeSend: function() {

				$('#cmb_trabajador_car').html('<option value="">Cargando...</option>');

			},

			success: function(html){

				$('#cmb_trabajador_car').html(html);

			}

		});

	}

	

	



	$("#save_form").click(function() {

		$("#for_trabajador").submit();

	});



	$(document).ready(function() {

		$('#for_trabajador').bootstrapValidator({

	      //live: 'disabled',

	      message: 'Valor no valido',

	      feedbackIcons: {

	      	valid: 'glyphicon glyphicon-ok',

	      	invalid: 'glyphicon glyphicon-remove',

	      	validating: 'glyphicon glyphicon-refresh'

	      },

	      fields: {	        	

	      	txt_trabajador_nom: {

	      		group: '.col-lg-6',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

	      	

			

			txt_trabajador_ape: {

	      		group: '.col-lg-6',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

			

			txt_trabajador_dni: {

	      		group: '.col-lg-6',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

			

			txt_trabajador_tel: {

	      		group: '.col-lg-6',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

			txt_trabajador_sue: {

	      		group: '.col-lg-6',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

		

			cmb_trabajador_est: {

	      		group: '.col-lg-4',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	}

	      }

	  }).on('success.form.bv', function(e) {

	

	  	$.ajax({

	  		type: "POST",

	  		url: "../trabajador/trabajador_reg.php",

	  		async:true,   

	  		dataType: "json",                  

	  		data:$('#for_trabajador').serialize(),

	  		beforeSend: function() {

	  			

	  		},

	  		success: function(data){

	  			$('.modal').modal('hide');

				$('.in').removeClass('modal-backdrop');			

				toastr["success"](data.msj);	

	  		},

	  		complete: function(){

	  			trabajador_tabla();

	  		}

	  	});

	  });





	  $('#txt_trabajador_nom').focus();



	  $('#txt_trabajador_nom').keydown(function(ev) {

	  	if(ev.keyCode==13){$('#cmb_trabajador_est').focus(); return false;}

	  });

	  $('#cmb_trabajador_est').keydown(function(ev) {

	  	if(ev.keyCode==13){$('#save_form').focus(); return false;}

	  });







	});	

</script>